(* A catch-all exception handler *)

value exc_handler: ('a -> 'b) -> 'a -> 'b;;
        (* "exc_handler f x" applies f to x and returns the result.
           If the evaluation of f x raises any exception, the
           name of the exception is printed on standard error output,
           and the programs aborts with exit code 2.
           Typical use is "exc_handler main ()", where main : unit->unit
           is the entry point of a standalone program, to catch and print
           stray exceptions.
           This requires that the program is linked with the "-g" option. *)
