(* Les signaux Unix *)

#open "exc";;

let SIGHUP = 1
and SIGINT = 2
and SIGFPE = 8
;;

let protect f arg =
  set_signal (-1) Signal_ignore;
  try
    let res = f arg in
      set_signal (-1) Signal_default; res
  with x ->
    set_signal (-1) Signal_default; raise x
;;
