/* exec.h : le format des executables */

/* Une ligne de commentaire, terminee par \012, ignoree (exemple: "#!runtime").
   Au plus Exec_comment_size caracteres. */

#define Exec_comment_size 256

/* Quatre tailles: */

struct exec_header {
  unsigned long code_size;      /* Taille du bloc de code */
  unsigned long data_size;      /* Taille de la table des globaux */
  unsigned long symbol_size;    /* Taille de la table de symboles du linker */
  unsigned long debug_size;     /* Taille des infos de debug */
};

/* Puis les quatre zones correspondantes. */

