/* globals.h : les variables globales de ZINC accessibles depuis C */

#ifndef _globals_
#define _globals_


#include "control.h"
#include "mlvalues.h"

extern value global_data;
extern mutex_t global_data_mutex;

#define Global_data 0                   /* "meta","global_data" */
#define Unix_command_line 1             /* "unix","command_line" */
#define Signal_table 2          	/* "signal","signal_table" */
#define Mode_rdonly 3                   /* "unix","mode_rdonly" */
#define Mode_wronly 4                   /* "unix","mode_wronly" */
#define Mode_rdwr 5                     /* "unix","mode_rdwr" */
#define Mode_creat 6                    /* "unix","mode_creat" */
#define Mode_trunc 7                    /* "unix","mode_trunc" */
#define Mode_excl 8                     /* "unix","mode_excl" */
#define Rights_read 9                   /* "unix","rights_read" */
#define Rights_write 10                 /* "unix","rights_write" */
#define Rights_exec 11                  /* "unix","rights_exec" */
#define Rights_owner 12                 /* "unix","rights_owner" */
#define Rights_group 13                 /* "unix","rights_group" */
#define Rights_others 14                /* "unix","rights_others" */
#define Rights_everything 15            /* "unix","rights_everything" */
#define Rights_everybody 16             /* "unix","rights_everybody" */


#endif /* _globals_ */
