#ifndef _profil_
#define _profil_


#ifdef PROFIL

#include <sys/time_stamp.h>

typedef struct profil {
  unsigned long total;
  unsigned long max;
  unsigned long num;
  struct tsval lastentry;
  char *name;
  struct profil *next;
  unsigned long histo [32];
} profil;

profil *profil_new ();
void profil_enter ();
void profil_exit ();
void profil_count ();
void profil_finish ();

#else /* PROFIL */

#define profil_enter(x)
#define profil_exit(x)
#define profil_count(x, y)

#endif /* PROFIL */


#endif /* _profil_ */
