/* fail.h */

#ifndef _fail_
#define _fail_


#include "mlvalues.h"

#define Bottom_exn 0            /* "exc","Bottom" */
#define Out_of_memory_exn 1     /* "exc","Out_of_memory" */
#define Os_exn 2                /* "unix","OS_error" */
#define Failure_exn 3           /* "exc","failure" */
#define Invalid_exn 4           /* "exc","Invalid_argument" */
#define End_of_file_exn 5       /* "io","End_of_file" */
#define Zero_divide_exn 6       /* "int","Division_by_zero" */

#ifdef ANSI

extern void mlraise(value);
extern void failwith (char *);
extern void invalid_argument (char *);
extern void raise_out_of_memory (void);
extern void os_error(void);

#else /* ANSI */

extern void mlraise();
extern void failwith ();
extern void invalid_argument ();
extern void raise_out_of_memory ();
extern void os_error();

#endif /* ANSI */


#endif /* _fail_ */
