
/* instruct.h : le jeu d'instructions */

enum instructions {
  CONSTBYTE, CONSTSHORT, CONSTLONG,
  GETGLOBAL, SETGLOBAL,
  CUR, SWITCH, BRANCH, BRANCHIF, BRANCHIFNOT,
  BRANCHIFEQ, BRANCHIFNEQ,
  BRANCHIFLT, BRANCHIFGT, BRANCHIFLE, BRANCHIFGE,
  BRANCHIFEQTAG, BRANCHIFNEQTAG,
  BRANCHIFNEQIMM, BRANCHIFNEQIMMSTRING, BRANCHIFNEQIMMFLOAT,
  C_CALL1, C_CALL2, C_CALL3, C_CALL4, C_CALL5, 
  C_CALL_ALLOC1, C_CALL_ALLOC2, C_CALL_ALLOC3, C_CALL_ALLOC4, C_CALL_ALLOC5, 
  NOP1, NOP2, NOP3,
  MAKEBLOCK, MAKEBLOCK1, MAKEBLOCK2, MAKEBLOCK3, MAKEBLOCK4, TAGOF,
  ACCESS, ACC0, ACC1, ACC2, ACC3, ACC4, ACC5,
  ATOM, ATOM0, ATOM1, ATOM2, ATOM3, ATOM4, ATOM5, ATOM6, ATOM7, ATOM8, ATOM9,
  GETFIELD, GETFIELD0, GETFIELD1, GETFIELD2, GETFIELD3,
  SETFIELD, SETFIELD0, SETFIELD1, SETFIELD2, SETFIELD3,
  STOP, STARTFUN, STARTNAMEDFUN, APPLY, RETURN, APPTERM, GRAB, 
  LET, LETREC1, DUMMY, UPDATE, ENDLET, ENDLET1,
  PUSHTRAP, RAISE, POPTRAP,
  PUSH, POP, PUSHMARK,
  BOOLNOT,
  NEGINT, SUCCINT, PREDINT, ADDINT, SUBINT, MULINT, DIVINT, MODINT,
  ANDINT, ORINT, XORINT, SHIFTLEFTINT, SHIFTRIGHTINT,
  EQ, NEQ, LTINT, GTINT, LEINT, GEINT,
  INCR, DECR,
  FLOATOP, INTOFFLOAT,
  EQFLOAT, NEQFLOAT, LTFLOAT, GTFLOAT, LEFLOAT, GEFLOAT,
  MAKESTRING, STRINGLENGTH, GETSTRINGCHAR, SETSTRINGCHAR,
  EQSTRING, NEQSTRING, LTSTRING, GTSTRING, LESTRING, GESTRING,
  MAKEVECTOR, VECTLENGTH, GETVECTITEM, SETVECTITEM,
  C_CALLN, C_CALL_ALLOCN,
  PUSH_GETGLOBAL_APPLY, PUSH_GETGLOBAL_APPTERM,
  MAKESHAREDBLOCK, MAKESHAREDBLOCK1, MAKESHAREDBLOCK2
};

enum float_instructions {
  FLOATOFINT, NEGFLOAT, ADDFLOAT, SUBFLOAT, MULFLOAT, DIVFLOAT
};
