#include "mlvalues.h"
#include "cprim.h"
extern value interprete();
extern value tree_equal();
extern value string_of_int();
extern value int_of_string();
extern value string_of_float();
extern value float_of_string();
extern value exp_float();
extern value log_float();
extern value sqrt_float();
extern value power_float();
extern value sin_float();
extern value cos_float();
extern value tan_float();
extern value asin_float();
extern value acos_float();
extern value atan_float();
extern value atan2_float();
extern value compare_strings();
extern value blit_string();
extern value blit_vect();
extern value fill_string();
extern value get_vect16_item();
extern value open_descriptor();
extern value channel_descriptor();
extern value channel_size();
extern value channel_flush();
extern value output_char();
extern value output_int();
extern value output();
extern value seek_out();
extern value pos_out();
extern value close_out();
extern value input_char();
extern value input_int();
extern value input();
extern value seek_in();
extern value pos_in();
extern value close_in();
extern value extern_val();
extern value intern_val();
extern value hash_univ_param();
extern value os_error_message();
extern value os_errno();
extern value unix_exit();
extern value unix_open();
extern value unix_close();
extern value unix_read();
extern value unix_write();
extern value unix_lseek();
extern value unix_unlink();
extern value unix_truncate();
extern value unix_stat();
extern value unix_fstat();
extern value unix_link();
extern value unix_pipe();
extern value mlunix_fork();
extern value unix_execv();
extern value unix_wait();
extern value unix_times();
extern value realloc_global();
extern value static_alloc();
extern value static_free();
extern value static_resize();
extern value obj_block();
extern value set_signal();
extern value thread_fork();
extern value thread_exit();
extern value thread_join();
extern value thread_detach();
extern value thread_yield();
extern value mlthread_self();
extern value thread_new_mutex();
extern value thread_new_condition();
extern value thread_lock();
extern value thread_unlock();
extern value thread_try_lock();
extern value thread_signal();
extern value thread_broadcast();
extern value thread_wait();
extern value thread_get_private_data();
extern value thread_set_private_data();
extern value parse_engine();
c_primitive cprim[] = {
  interprete,
  tree_equal,
  string_of_int,
  int_of_string,
  string_of_float,
  float_of_string,
  exp_float,
  log_float,
  sqrt_float,
  power_float,
  sin_float,
  cos_float,
  tan_float,
  asin_float,
  acos_float,
  atan_float,
  atan2_float,
  compare_strings,
  blit_string,
  blit_vect,
  fill_string,
  get_vect16_item,
  open_descriptor,
  channel_descriptor,
  channel_size,
  channel_flush,
  output_char,
  output_int,
  output,
  seek_out,
  pos_out,
  close_out,
  input_char,
  input_int,
  input,
  seek_in,
  pos_in,
  close_in,
  extern_val,
  intern_val,
  hash_univ_param,
  os_error_message,
  os_errno,
  unix_exit,
  unix_open,
  unix_close,
  unix_read,
  unix_write,
  unix_lseek,
  unix_unlink,
  unix_truncate,
  unix_stat,
  unix_fstat,
  unix_link,
  unix_pipe,
  mlunix_fork,
  unix_execv,
  unix_wait,
  unix_times,
  realloc_global,
  static_alloc,
  static_free,
  static_resize,
  obj_block,
  set_signal,
  thread_fork,
  thread_exit,
  thread_join,
  thread_detach,
  thread_yield,
  mlthread_self,
  thread_new_mutex,
  thread_new_condition,
  thread_lock,
  thread_unlock,
  thread_try_lock,
  thread_signal,
  thread_broadcast,
  thread_wait,
  thread_get_private_data,
  thread_set_private_data,
  parse_engine,
  0 };
