/* stacks.h : structure des piles */

#ifndef _stacks_
#define _stacks_


#include "mlvalues.h"

/* 1- la pile A (arguments) : (value (bien construite) | mark)*  */

#define Mark ((value) 0)

/* 2- la pile R (retour & cache d'environnements) : une succession de

   adr.hautes				OU

	N valeurs valides			N valeurs valides
	return_frame avec cache_size = N	trap_frame avec cache_size=N+2
		...
   adr.basses
*/

struct return_frame {
  code_t retaddr;
  value env;
  int cache_size;
/*value cache[cache_size] */
};

struct trap_frame {
  code_t retaddr;
  value env;
  int cache_size;
  value * asp;
  struct trap_frame * tp;
/*value cache[cache_size] */
};

#ifdef ANSI
void reset_roots(void);
void realloc_stacks(void);
#else
void reset_roots();
void realloc_stacks();
#endif


#endif /* _stacks_ */
