(* reloc : information de "relocation" du bytecode produit *)

#open "const";;

type info =
    Reloc_literal of struct_constant
  | Reloc_getglobal of qualified_ident
  | Reloc_setglobal of qualified_ident
  | Reloc_tag of qualified_ident
;;

value reset : unit -> unit
  and slot_for_literal : struct_constant -> unit
  and slot_for_get_global : qualified_ident -> unit
  and slot_for_set_global : qualified_ident -> unit
  and slot_for_tag : qualified_ident -> unit
  and get_info : unit -> (info * int) list
;;

