#open "const";;
#open "prim";;

type zam_instruction =
    Kquote of struct_constant 
  | Kget_global of qualified_ident
  | Kset_global of qualified_ident
  | Kaccess of int
  | Kgrab
  | Kpush
  | Kpushmark
  | Klet
  | Kendlet of int
  | Kdummy of int
  | Kupdate of int
  | Kapply
  | Ktermapply
  | Kstartfun of string
  | Kreturn
  | Kclosure of int
  | Kmakeblock of constr_tag * int * shared_flag
  | Kprim of primitive 
  | Kpushtrap of int
  | Kpoptrap
  | Klabel of int
  | Kbranch of int
  | Kbranchif of int
  | Kbranchifnot of int
  | Kstrictbranchif of int
  | Kstrictbranchifnot of int
  | Ktest of bool_test * int
  | Kswitch of int vect
;;

type zam_phrase =
  { kph_rec: bool;                      (* definition recursive ou pas *)
    kph_init: zam_instruction list;     (* le code d'initialisation *)
    kph_fcts: zam_instruction list }    (* le code des fonctions *)
;;

value Nolabel : int;;

