(* Pour controler l'interprete et le runtime *)

#open "obj";;

value global_data : obj vect
  and realloc_global_data : int -> unit = 1 "realloc_global" "alloc"
  and static_alloc : int -> string = 1 "static_alloc" "alloc"
  and static_free : string -> unit = 1 "static_free" "alloc"
  and static_resize : string -> int -> string = 2 "static_resize" "alloc"
  and interprete : string -> int -> obj = 2 "interprete" "alloc"
;;
