#include <cthreads.h>

typedef any_t (*proc_t)();

int pfib();

any_t pfib2(n)
     int * n;
{
  *n = pfib(*n);
  return (any_t) 0;
}

int pfib(n)
     int n;
{
  cthread_t pid;
  int * n1, n2;

  if (n <= 2) return 1;
  n1 = (int *) malloc(sizeof(int));
  *n1 = n-1;
  pid = cthread_fork(pfib2, n1);
  n2 = pfib(n-2);
  cthread_join(pid);
  return (*n1) + n2;
}

int main(argc, argv)
     int argc;
     char * argv [];
{
  cthread_init();
  printf("%d\n", pfib(atoi(argv[1])));
  return 0;
}
